<!--
var Xnc_MagicEmot_Class = new Array();
 var Xnc_MagicEmot_Info = new Array();
   var Xnc_MagicEmot_ID = new Array();

var MeCountLength = 465;

Xnc_MagicEmot_Class[0] = "常用";
 Xnc_MagicEmot_Info[0] = GetCookie("MagicEmot_Info").split("|");
   Xnc_MagicEmot_ID[0] = GetCookie("MagicEmot_ID").split("|");

Xnc_MagicEmot_Class[1] = "动物";
 Xnc_MagicEmot_Info[1] = "|恭喜发财！|要钱钱|色狼！|自爆！|好惨！|好恶心|打扰了|GO！GO！GO！|甜吻！|炸死了|呸呸呸|财源滚滚|秀色可餐|困了！|好馋呀|讨厌了|皮庠了！|打PP|别来烦我！|做个鬼脸|被抛弃了！|骂死你|终于下班啦！|放电！|有没有搞错|不准偷窥|大胆告白|MM，兜风去呀！|贞子出来啦|鞭死你|谢谢你喔|请你吃|受刑|很受伤|走光啦|不准欺负我|小羊很生气，后果很严重|早上好！|来，交个朋友吧！|我要去撞死|来！亲一个！|我是乖孩子|520！|砍死你|往死里打|想死啊！|晕|送你的|干杯|嘿嘿|出丑|谗|鞭死你|啊！|说出心里话|埋头苦读|画像|被骗了|顽皮|上当了|偷吃|生日快乐|生气|散花|超人～|NO！|啦啦啦～～|可爱|愤怒|不理你|拜托|做鬼脸|享受一下|我倒|表白心意|天使|你是猪|顽皮的笑|送给你|你好|寒|hi|我很丑可我很温柔|糗糗你|怒|呼啦圈呦转呀转|烦死人咯|对不起|纯粹意外|love|NO|886|猪头|真的吗？|暂停一下|心碎了|甜心|呕吐|金钱|聪明|委屈|受惊|生气|亲一个|期待|可爱|汗|害羞|高兴|愤怒|猪头_一封情书|猪头_我要开动咯|猪头_我很生气啊|猪头_梨花带雨|猪头_惊吓过度|猪头_鬼啊|猪头_给你的惊喜|猪头_打呼呼|猪头_Love|猪头_K歌之王|鼹鼠_雨寒|鼹鼠_一口好牙|鼹鼠_我的爱|鼹鼠_天使诞生|鼹鼠_偶恨你|鼹鼠_偶保持沉默|鼹鼠_你给偶滚|鼹鼠_好烦呀|鼹鼠_工作好辛苦|鼹鼠_大佬|小鸡_新人来到|小鸡_心心气球|小鸡_午休咯|小鸡_我生气了|小鸡_气死了|小鸡_凉爽好心情|小鸡_拼啦|小鸡_加油加油|小鸡_花仙子|小鸡_高手|浣熊_笑死人了|浣熊_嘻嘻|浣熊_为什么|浣熊_失恋是一种打击|浣熊_人家..人家...|浣熊_你欺负我|浣熊_加冕|浣熊_好困哦|浣熊_对你一见钟情|浣熊_不要惹我".split("|");
   Xnc_MagicEmot_ID[1] = "|465|463|460|459|458|457|456|455|453|452|451|450|449|448|447|446|445|444|435|434|433|432|431|430|429|428|427|426|424|423|421|420|419|418|417|416|415|414|413|412|403|402|396|345|343|337|331|329|328|325|317|316|315|314|312|311|310|308|307|306|305|304|299|298|297|296|295|294|293|292|291|290|289|288|279|278|277|276|270|269|268|267|264|263|262|261|260|259|258|257|256|255|213|212|211|210|209|208|207|206|150|149|148|147|146|145|144|143|142|141|138|137|136|135|134|133|132|131|130|129|128|127|126|125|124|123|122|121|120|119|108|107|106|105|104|103|102|101|100|99|88|87|86|85|84|83|82|81|80|79".split("|");

Xnc_MagicEmot_Class[2] = "人物";
 Xnc_MagicEmot_Info[2] = "|为什么受伤的总是我|自虐|街舞王子|抽烟的悲剧|中招|踩死你|喜欢你|爽|哎呀|投不中|花球高手|我是Rap小子|你太搞笑啦！|帅|大出糗|一起来玩|Come on baby|滚|惹我的下场|流鼻涕|挨砖|俺醉了|美女|我好喜欢你|我失恋啦|你给我小心点|行行好吧|老大好！|有种放马过来|打劫|认识我再出来混|MM聊聊啊|尴尬|隐身术|晕啦|挨雷劈啦|自残|死给你看|休息一下|分身术|鄙视你|超级心跳|拜托|财迷|我是大款|亲亲|我吐|呜啦啦|冻成冰|正点|很生气喔|Byebye|咒骂|晕|心碎了|小魔鬼|偷笑|努力|奸笑|睡吧|看镖|我中爱神之箭啦|拿我怎样|宝贝亲一个|18禁|乘风来寻你|打你|草裙舞|啊~凉快|COME ON|中招啦|吓死我了|我不行了|我爱你|燃烧吧我的小宇宙|孤独|感冒了|别惹我哦|醒醒|原谅我吧|帅吧|气死你|开心点啦|嫁给我吧|别逼我|我砍我砍|倒|忍之真谛|出糗了|别给我卖乖|笑死人了|我闪|偶认输|爱的讯息|呸呸|会议中|愤怒|微笑|淘气|随便你|弱|祈祷|汗！|好冷|哈哈|别开玩笑|暗示|打架|再见|期待|嘿嘿|笑一笑|我晕|我撑不住了|唐僧再世|少林无影脚|气死我咧|灵机一动|好想你|阿弥陀佛|真心真意|散花|我最棒|我哭！！|吐|受错折|钱|吹泡泡|表白|闭嘴|奋斗|海盗|送花给你|偶最cool|病了|哼|哎呀|不想活了？|天天想着你|心碎|抗议|烧焦了|开枪|摔倒了|潜水ing|砰砰|流泪|困惑|快干活！|干嘛？|烦死了烦死了|思考ing|嘘，安静！|等等|开心每一天|强|可爱|呜呜|送别|心碎|你好呀|没兴趣|好奇|扮鬼脸|感动啊|啊".split("|");
   Xnc_MagicEmot_ID[2] = "|409|408|407|406|405|394|393|392|391|390|389|388|387|386|385|384|383|382|381|380|379|378|377|376|375|374|373|372|371|370|369|368|367|366|365|364|363|362|361|360|359|358|357|356|355|354|353|352|351|350|309|303|302|301|300|287|286|285|284|283|282|281|280|275|274|273|272|271|266|265|254|253|252|251|250|249|248|247|246|245|244|243|242|241|240|239|238|237|236|235|234|233|232|231|230|229|228|227|226|225|224|223|222|221|220|219|218|217|216|215|214|205|204|203|202|201|200|199|198|197|196|195|194|193|192|191|190|189|188|187|186|185|184|183|182|181|180|179|178|177|176|175|174|173|172|171|170|169|168|167|166|165|164|163|162|161|160|159|158|157|156|155|154|153|152|151".split("|");

Xnc_MagicEmot_Class[3] = "蔬菜";
 Xnc_MagicEmot_Info[3] = "|豆芽_中招|豆芽_杂耍高手|豆芽_心情烦躁|豆芽_潜水|豆芽_魅力新造型|豆芽_雷劈|豆芽_可乐酷|豆芽_发烧|豆芽_北风那个吹|豆芽_爱的收获|萝卜头_喜欢你|萝卜头_你很讨厌啊|萝卜头_我的爱给你|萝卜头_困死了|萝卜头_看我72变|萝卜头_哼|萝卜头_扮酷|萝卜头_爱你爱你|萝卜头_啊啊啊|萝卜头_Show一下".split("|");
   Xnc_MagicEmot_ID[3] = "|118|117|116|115|114|113|112|111|110|109|98|97|96|95|94|93|92|91|90|89".split("|");

Xnc_MagicEmot_Class[4] = "卡通";
 Xnc_MagicEmot_Info[4] = "|嘿嘿嘿~~~|拜拜~~~|爱|嘿嘿嘿~|呜呜呜……|I服了YOU|怒火|COOL！！！|呜呜|大哭|那么丑出来吓人呀|看不到|很捧哦|亲一下|没兴趣|呵呵|哽咽|挫折|我今天有空|抹了口水|变花|再见|我爱你|被你爱的箭射中了|偶滴甜心|爱死你了|就是偶|请你吃|会杀我两次的|又偷懒|受委屈|你是我的|呕吐|反射|双棒|哇！|来喝一杯吧|啊.啊|我是一个大菠萝|强，真强|那你自己多“保重”|强|好高兴|鄙视的笑|弱|碰碰碰|没面子|嘿嘿|你随便|快干活！|该死的|想死啊？|来休息一下吧|哎哟|黄瓜|呃呃|扔烟灰缸|呸呸呸|打架|做鬼脸|好冷|TEA TIME|思考中|快乐每一天|吃饭|我倒|高兴的笑|怎么办|通话中|请稍等|会议中|对不起|不明白|你好！|潜水中|尴尬|抽烟|嘘~肃静|???|消失|闭嘴|打嗝|摇头|微笑|啊！|可爱|傲慢地笑|感动".split("|");
   Xnc_MagicEmot_ID[4] = "|443|442|441|440|439|438|437|436|140|139|78|77|76|75|74|73|72|71|70|69|68|67|66|65|64|63|62|61|60|59|58|57|56|55|54|53|52|51|50|49|48|47|46|45|44|43|42|41|40|39|38|37|36|35|34|33|32|31|30|29|28|27|26|25|24|23|22|21|20|19|18|17|16|15|14|13|12|11|10|9|8|7|6|5|4|3|2|1".split("|");

Xnc_MagicEmot_Class[5] = "圣诞";
 Xnc_MagicEmot_Info[5] = "|我们来合照|好神奇的圣诞节|和雪人过圣诞|发礼物啦|圣诞老人到了|圣诞节好快乐|生气|打你！|圣诞表白|给我礼物！|HELLO|思念你！|呜呜|祝你圣诞快乐|Merry Christmas|呵呵|雪人-收到最好的礼物|雪人-和我一起过圣诞吧！|想死啊！|圣诞袜-怎么回事呀？|圣诞袜-吃多了|圣诞袜-被陷害|THANK YOU".split("|");
   Xnc_MagicEmot_ID[5] = "|399|398|348|347|346|344|338|336|335|334|333|332|330|327|326|324|323|322|321|320|319|318|313".split("|");

Xnc_MagicEmot_Class[6] = "元旦";
 Xnc_MagicEmot_Info[6] = "|来自圆蛋的惊吓！|居然到2005年啦！|朋友，元旦快乐！|向2005年，冲剌|再见，2004！|元旦要吃好喝好！|2005年的那一天|元旦快乐|辞旧迎新|嘿嘿你是笨蛋".split("|");
   Xnc_MagicEmot_ID[6] = "|411|410|404|401|400|397|395|349|342|341".split("|");

Xnc_MagicEmot_Class[7] = "新年";
 Xnc_MagicEmot_Info[7] = "|给我压岁钱！|反击！|过年玩个够".split("|");
   Xnc_MagicEmot_ID[7] = "|464|462|461".split("|");

Xnc_MagicEmot_Class[8] = "其他";
 Xnc_MagicEmot_Info[8] = "|砸碎！|鲜花插牛粪|月亮代表我的心|心花怒放|心情暴差".split("|");
   Xnc_MagicEmot_ID[8] = "|454|425|422|340|339".split("|");


var MeClassCount = Xnc_MagicEmot_Class.length-1;


//魔法表情

Show_Xnc_MagicEmot(1,1);

function Show_Xnc_MagicEmot(Page,Mode) {
		if(!Mode&&Mode!=0) { Mode=1;}
		var MeItemCount			= Xnc_MagicEmot_ID[Mode].length-1;
		var MePage_Size			= 11;
		var MePage_Max			= MeItemCount/MePage_Size;

		if ((MeItemCount % MePage_Size)>0){MePage_Max = Math.floor(MePage_Max+1);}
			//if (MagicPage&&Page==0){Page=MagicPage;}
			if(Page==0){Page=1}

			MagicPage = Page;
			var ShowList = '';
			for (i = Page * MePage_Size - MePage_Size + 1;i <= (Page * MePage_Size);i++){
				if (i <= MeItemCount){
						ShowList = ShowList + '<img src="images/Magicface/Gif/' + Xnc_MagicEmot_ID[Mode][i] + '.gif" border="0" width="40" height="39" oncontextmenu="DispMagicEmot(' + Xnc_MagicEmot_ID[Mode][i] + ',400,400);" Onclick="_inputMagicEmot(' + Xnc_MagicEmot_ID[Mode][i] + ',\'' + Xnc_MagicEmot_Info[Mode][i] + '\');" style="cursor: hand;border:2px solid #666666;margin:1px 0 0 1px" alt="' + Xnc_MagicEmot_Info[Mode][i] + '">'
				}
			}
    		ShowList = '<table width="100%" height="60" border="0" cellspacing="1" cellpadding="3" Onselectstart="return false" oncontextmenu=self.event.returnValue=false><TR><TD height="22"><img src="images/icon/8.gif" onclick="Show_About()" Style="cursor: pointer;" alt="关于魔法心情...">&nbsp;<b>类型：' + Show_Xnc_MagicEmot_Class(Mode) + '</b>&nbsp;&nbsp;&nbsp;' + Xnc_PageJump('魔法心情',Xnc_MagicEmot_Class[Mode],'Show_Xnc_MagicEmot',MeItemCount,Page,MePage_Max,Mode) + '<\/TD><\/TR><TR><TD>' + ShowList + '<\/TD><\/TR><\/table>'

			document.getElementById("Magic_menu").innerHTML = ShowList;
}

function Show_Xnc_MagicEmot_Class(Mode) {
	var Classlist ='';
	
		for (i = 1;i <= MeClassCount;i++){
				if (i == Mode) {
					Classlist += '<font color=red>【' + Xnc_MagicEmot_Class[i] + '】</font>|';
				}else{
					Classlist += '<A href="javascript:Show_Xnc_MagicEmot(1,' + i +')">'+Xnc_MagicEmot_Class[i] + '</A>|';
				}
		}
		if (Mode == 0) {
			Classlist += '<font color=red>【' + Xnc_MagicEmot_Class[0] + '】</font>';
		}else{
			Classlist += '<A href="javascript:Show_Xnc_MagicEmot(1,' + 0 +')">'+Xnc_MagicEmot_Class[0] + '</A>';
		}
		return Classlist
}

//插入并累加到Cookie,创建常用类
function _inputMagicEmot(nID,sText){
	nIdCount = 11;	//设定常用类的数目
	sTlist   = Xnc_MagicEmot_ID[0].toString(0)+',';
	if(sTlist.indexOf(','+nID+',')== -1){
		sIDlist ='|'+ nID;
		ssaylist = '|' + sText;
	for (i = 1;i < nIdCount;i++){
		if(Xnc_MagicEmot_ID[0][i]){
			sIDlist += '|' + Xnc_MagicEmot_ID[0][i];
			ssaylist += '|' + Xnc_MagicEmot_Info[0][i];
		}
	}
	Xnc_MagicEmot_ID[0] = sIDlist.split("|");
	Xnc_MagicEmot_Info[0] =ssaylist.split("|");
	SetCookie("MagicEmot_ID",sIDlist);
	SetCookie("MagicEmot_Info",ssaylist);
	}
	jk_insert_em('[magic' + nID + ']',em_frm,em_word);
}


/******************************************************************************
* End of MagicEmot functions.                                                 *
******************************************************************************/

/******************************************************************************
* Share functions.                                                           *
******************************************************************************/


//分页处理
function Xnc_PageJump(Typename,ClassType,Act,ItemCount,Page,MaxPage,Mode) {
	var PageList ='';
	if(Page > 1) {
		PageList = 	' <A href="javascript:' + Act+'(1,' + Mode + ')">1<\/A>';
	}

		if((Page-5)>1){
			PageList += '..'
			PageList += 	' <A href="javascript:' + Act+'(' + (Page-4) + ',' + Mode + ')">' + (Page-4) + '<\/A>';
			PageList += 	' <A href="javascript:' + Act+'(' + (Page-3) + ',' + Mode + ')">' + (Page-3) + '<\/A>';
			PageList += 	' <A href="javascript:' + Act+'(' + (Page-2) + ',' + Mode + ')">' + (Page-2) + '<\/A>';
			PageList += 	' <A href="javascript:' + Act+'(' + (Page-1) + ',' + Mode + ')">' + (Page-1) + '<\/A>';
		}else{
			for (i = 2;i < Page;i++){
				PageList += 	' <A href="javascript:' + Act+'(' + i + ',' + Mode + ')">' + i + '<\/A>';
			}
		}
		PageList += ' [<B>'+Page+'</B>]';
		if((MaxPage-4)>Page){
			PageList += 	' <A href="javascript:' + Act+'(' + (Page+1) + ',' + Mode + ')">' + (Page+1) + '<\/A>';
			PageList += 	' <A href="javascript:' + Act+'(' + (Page+2) + ',' + Mode + ')">' + (Page+2) + '<\/A>';
			PageList += 	' <A href="javascript:' + Act+'(' + (Page+3) + ',' + Mode + ')">' + (Page+3) + '<\/A>';
			PageList += '..'
		}else{
			for (i = (Page+1);i < MaxPage;i++){
				PageList += 	' <A href="javascript:' + Act+'(' + i + ',' + Mode + ')">' + i + '<\/A>';
			}
		}

	if(Page < MaxPage) {
		PageList += 	' <A href="javascript:' + Act +'(' +  MaxPage + ',' + Mode + ')">' + MaxPage + '<\/A>'
	}

	return '分页：'+PageList;
}


//请勿修改删除此信息；
function Show_About(){
	alert("【魔法心情】\n\n插件版本: 20050116\n插件作者: 少数派\nQQ：93121635\n魔法数量: " + MeCountLength + "\n");
}

/******************************************************************************
* Cookie functions.                                                           *
******************************************************************************/
function SetCookie(sName, sValue){
	document.cookie = "Xnc_Emot" + sName + "=" + escape(sValue) + "; path=/; expires=Sun, 25 Oct 2099 23:59:59 UTC;";
}

function GetCookie(name) {
  var search;

  search = "Xnc_Emot" + name + "=";
  offset = document.cookie.indexOf(search) ;
  if (offset != -1) {
    offset += search.length ;
    end = document.cookie.indexOf(";", offset) ;
    if (end == -1)
      end = document.cookie.length;
    return unescape(document.cookie.substring(offset, end));
  }
  else
    return "";
}

function deleteCookie(name) {
	setCookie(name, "");
}
/******************************************************************************
* End of cookie functions.                                                    *
******************************************************************************/
-->